VARKON Version 1.15 1997-10-24

> ## ldim - Geometric procedure

> Creates a linear dimension
> Description
> Creates a horisontal, vertical or parallel linear dimension with or without text.
> Syntax
> ldim(id, p1, p2, p3, alt:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> VECTOR | p3;
> INT | alt.

> Principal parameters

> id | - Local identity
> p1 | - Start position
> p2 | - End position
> p3 | - Position of text
> alt | - Horisontal(0), vertical(1) or parallel(2)

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> DTSIZ | - Textsize
> DASIZ | - Arrowsize
> DNDIG | - Number of decimal places
> DAUTO | - Automatic text(1) or no text(0)

> Example
> ldim(#1,vec(0,0),vec(100,0),vec(50,20),0);
> A horisontal dimension.
> Comments
> ldim can only be used in a 2D module.

VARKON Homepage | Index